Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[libs] emerge dev-perl/XML-Parser casse dev-libs/expat? [OK]
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
pasmoi
n00b
n00b


Joined: 22 Aug 2007
Posts: 59

PostPosted: Thu Aug 23, 2007 6:34 am    Post subject: Reply with quote

boozo wrote:

btw : outres les remarques qui t'ont été faites sur ton make.conf, tu devrais dégalement définir la variable MAKEOPTS avec une valeur de CPU+1


je rajout un :

Code:

MAKEOPTS="CPU+1"

dans mon make.conf?

car
MAKEOPTS="CPU+1" emerge libbonobo
me fait notament la ligne :
make: *** No rule to make target `CPU+1'. Stop.

Quote:

Edit : beuh... pourquoi je vois /etc/revdep-rebuild dans ton emerge --info si la commande est introuvable ??

erreur dans le nom de la commande posté sur le forum : avec le bon nom ça marche (cf poste précédent)
Back to top
View user's profile Send private message
kwenspc
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 4954

PostPosted: Thu Aug 23, 2007 6:40 am    Post subject: Reply with quote

:lol:

Nan c'est pas ça en effet (bon ok c'était pas super bien expliqué). La règle pour le makeopts c'est -j<nb de cpu +1> certains disent -j<nb de cpu *2 +1> aussi

perso je prend la seconde solution donc MAKEOPTS="-j3" pour un mono cpu.
_________________
membre officieux du SAV Ati GEntoo
Back to top
View user's profile Send private message
pasmoi
n00b
n00b


Joined: 22 Aug 2007
Posts: 59

PostPosted: Thu Aug 23, 2007 6:59 am    Post subject: Reply with quote

et ça change quelquechose quand au fait que ça compile sans planter?
Back to top
View user's profile Send private message
Temet
Advocate
Advocate


Joined: 14 Mar 2006
Posts: 2586
Location: 92

PostPosted: Thu Aug 23, 2007 7:22 am    Post subject: Reply with quote

Nan mais faut lire le message d'erreur pour ton revdep-rebuild.
Je soupçonne ta distro de ne pas être à jour et faut l'être avant le revdep-rebuild. Je ne peux pas vérifier vu que packages.gentoo.org est down depuis deux semaines.
Update firefox d'abord et vire ensuite les fichiers de revdep ("rm /root/.revdep-rebuild*.?_*") et tu relances un revdep-rebuild.
_________________
Full Gentoo powered.
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Thu Aug 23, 2007 9:59 am    Post subject: Reply with quote

@kwen : Hé ! Non mais dites donc... :lol:
Oué bon j'ai raté le "-j" ...c'était tard

Temet wrote:
(snip)Je soupçonne ta distro de ne pas être à jour et faut l'être avant le revdep-rebuild.(snip)


En effet elle ne l'est pas et d'après la sortie y'a du bonobo dans les dépendances brisées donc c'est sans rapport avec expat... (enfin pour le moment parce qu'après un sync ça va venir :lol:)

Donc si on résume et pour éviter de recompiler 2-3 fois des choses inutilement (reconstruction des dépendances obsoletes - upgrade world donc migration expat - reconstruction des dépendances, etc...) je ferais une vérification de la version d'expat installée qui devrait être <2.0.x et selon, en séquence :
Code:
#emerge --sync
#emerge -uDv world
#etc-update
#revdep-rebuild


btw:
if (modo == alive)
echo "Je réclame le split ! :mrgreen: " ;
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
pasmoi
n00b
n00b


Joined: 22 Aug 2007
Posts: 59

PostPosted: Thu Aug 23, 2007 9:52 pm    Post subject: Reply with quote

Temet wrote:
Nan mais faut lire le message d'erreur pour ton revdep-rebuild.
Je soupçonne ta distro de ne pas être à jour et faut l'être avant le revdep-rebuild. Je ne peux pas vérifier vu que packages.gentoo.org est down depuis deux semaines.
Update firefox d'abord et vire ensuite les fichiers de revdep ("rm /root/.revdep-rebuild*.?_*") et tu relances un revdep-rebuild.


c'est justement il y a environs 2 semaines que j'ai réussi pour la première foi a installer une gentoo sur mon pc ...
(avant, j'avais un disque dur PAS-grillé, et une très vieille debian, ainsi que l'intention de passer a gentoo quand j'en aurais eu le temps)


sinon, sur ma distro : rien n'est vieux : j'ai installé un système depuis le livecd 2006.1 (le 2007.0 marche pas), j'ai sync et updaté le portage, et le world, puis j'ai ajouté des tonnes d'apli qui se sont téléchargées et installées (dont firefox), et finalement, alors que je voulais tout updater car l'une de mes appli ne compilais pas, ... big badabout : le libbonobo ne compile pas, et tout mon système est en l'air.

si je ferme gnome, je ne pourrais plus le rouvrir (d'ailleurs, ce forum fonctionne avec lynx?)
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Thu Aug 23, 2007 10:30 pm    Post subject: Reply with quote

La question n'est pas de dire que ta Gentoo est "vieille" ou pas (d'ailleurs cette notion n'a pas vraiment de sens) mais "pas à jour" depuis une quinzaine soit à la date de ton dernier emerge --sync

Exple la version 2.0.0.5 de firefox qui est blocante pour revdep-rebuild n'est plus dans portage au profit de la 2.0.0.6 et d'autres packages sont également dans le même cas ; et d'autres vont te poser problemes rapidement si expat n'est pas encore en version 2.0.x

Donc vérifie ta version au préalable mais si ton sync date d'avant le 10-11/08 le prochain va déclencher les hostilités sois en sûr
et c'est pourquoi j'ai proposé de procéder ainsi pour protéger la couche d'ozone
Atrement, tu upgrades juste firefox comme te l'a dit Temet (ou tu le vires temporairement si il ne veux pas compiler en l'état de la situation) et tu te refrappes ensuite le revdep-rebuild

Alors dis-nous :wink:

(Allez va courage baisse pas les bras c'est rien çà ^^)

btw: lynx ou links{2} fonctionnent sur le forum si tu es adepte tu peux tester
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
pasmoi
n00b
n00b


Joined: 22 Aug 2007
Posts: 59

PostPosted: Thu Aug 23, 2007 10:50 pm    Post subject: Reply with quote

c'est que je soit un adepte, mais si je virre firefox, ou pire, si ma session graphique viens à se terminer pour une raison ou pour une autre ... je n'aurais pas d'autre navigateur ...
Back to top
View user's profile Send private message
pasmoi
n00b
n00b


Joined: 22 Aug 2007
Posts: 59

PostPosted: Fri Aug 24, 2007 1:02 am    Post subject: Reply with quote

[quote="boozo"]
Code:
#emerge --sync
#emerge -uDv world
#etc-update
#revdep-rebuild


c'est fait, mais ça n'a rien changé:
libbonobo-2.18.0 failed


sinon, mes nouveau USE sont :
USE="X aac aalib alsa apache2 arts avi bash-completion berkdb bitmap-fonts bonobo cdr cli crypt cups dbus dlloader dri dvd dvdr eds emacs emboss encode esd expat fam ffmpeg firefox fortran ftp gdbm gif glut gnome gpm graphviz gstreamer gtk hal icq innodb ipv6 isdnlog java javascript joystick jpeg jpeg2k junit kde ldap leim libg++ libwww mad maildir matroska mbox mikmod mime mmx motif mp3 mpeg mplayer msn mule mysql ncurses nls nptl nptlonly ogg opengl oss pam pcre pdf pdflib perl php png ppds pppd python qt3 qt4 quicktime readline reflection ruby samba sdl session slang spell spl ssl svg tcl tcpd tetex tk truetype truetype-fonts type1-fonts udev unicode vim-syntax vorbis win32codecs xine xml xorg xpm xv xvid zlib"
Back to top
View user's profile Send private message
pasmoi
n00b
n00b


Joined: 22 Aug 2007
Posts: 59

PostPosted: Fri Aug 24, 2007 6:31 am    Post subject: Reply with quote

revdep-rebuild -pv donne :

Code:

...
[ebuild   R   ] gnome-base/gnome-session-2.16.3  USE="esd ipv6 tcpd -branding -d
ebug" 0 kB

Total: 34 packages (2 new, 32 reinstalls), Size of downloads: 0 kB
Build finished correctly. Removing temporary files...
You can re-run revdep-rebuild to verify that all libraries and binaries
are fixed. If some inconsistency remains, it can be orphaned file, deep
dependency, binary package or specially evaluated library.


je l'ai relancé ça m'a redonné la même chose

ensuite j'ai lancé un emerge -uDv world :

retour au point de départ :
Code:
 
...
bbonobo-2.18.0/bonobo-activation'
make[1]: *** [install] Error 2
make[1]: Leaving directory `/var/tmp/portage/gnome-base/libbonobo-2.18.0/work/libbonobo-2.18.0/bonobo-activation'
make: *** [install-recursive] Error 1

!!! ERROR: gnome-base/libbonobo-2.18.0 failed.
Call stack:
  ebuild.sh, line 1638:   Called dyn_install
  ebuild.sh, line 1083:   Called qa_call 'src_install'
  ebuild.sh, line 44:   Called src_install
  ebuild.sh, line 1328:   Called gnome2_src_install
  gnome2.eclass, line 85:   Called die

!!! install failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/gnome-base/libbonobo-2.18.0/temp/build.log'.
Back to top
View user's profile Send private message
syphering
n00b
n00b


Joined: 13 Feb 2007
Posts: 55
Location: France

PostPosted: Fri Aug 24, 2007 7:17 pm    Post subject: Reply with quote

Concernant le problème suivant lors de la mise à jour de GTK+:

Code:
checking Pango flags... configure: error:
*** Pango not found. Pango built with Cairo support is required


Je l'ai résolu en faisant un coups de

Code:
emerge --unmerge glib libpng jpeg freetype libxml fontconfig atk cairo pango gtk+


puis un

Code:
emerge glib libpng jpeg freetype libxml fontconfig atk cairo pango gtk+


Je suis en train de mettre à jour mon système et ça se déroule sans problème :D
_________________

Core 2 Quad Q9550 - 8 Go DDR2 Corsair - Samsung SSD 850 250 Go - RADEON RX 550
Back to top
View user's profile Send private message
pasmoi
n00b
n00b


Joined: 22 Aug 2007
Posts: 59

PostPosted: Sat Aug 25, 2007 2:51 pm    Post subject: Reply with quote

après avoir updaté world avec mes nouveau use, reinstallé pango, voici ce que revdep-rebuild me donne :

Code:


Processing file ../bonobo-activation/../idl/Bonobo_Activation_types.idl
/bin/sh ../libtool --tag=CC   --mode=compile i686-pc-linux-gnu-gcc -DHAVE_CONFIG
_H -I. -I.. -I.. -I.. -DPREFIX=\""/usr\"" -DSERVER_LIBEXECDIR=\""/usr/libexec\""
 -DSERVERINFODIR=\"/usr/lib/bonobo/servers\" -DSERVER_CONFDIR=\"/etc\" -DBONOBO_
ACTIVATION_LOCALEDIR=\""/usr/share/locale"\" -DORBIT2=1 -pthread -I/usr/include/
orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DVERSION=\"2.18
.0\" -DG_DISABLE_DEPRECATED -DG_LOG_DOMAIN=\"Bonobo-Activation\"     -march=i686
 -O2 -MT Bonobo_GenericFactory-common.lo -MD -MP -MF .deps/Bonobo_GenericFactory
-common.Tpo -c -o Bonobo_GenericFactory-common.lo Bonobo_GenericFactory-common.c
 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -DPREFIX=\"/usr\" -DSE
RVER_LIBEXECDIR=\"/usr/libexec\" -DSERVERINFODIR=\"/usr/lib/bonobo/servers\" -DS
ERVER_CONFDIR=\"/etc\" -DBONOBO_ACTIVATION_LOCALEDIR=\"/usr/share/locale\" -DORB
IT2=1 -pthread -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-
2.0/include -DVERSION=\"2.18.0\" -DG_DISABLE_DEPRECATED -DG_LOG_DOMAIN=\"Bonobo-
Activation\" -march=i686 -O2 -MT Bonobo_GenericFactory-common.lo -MD -MP -MF .de
ps/Bonobo_GenericFactory-common.Tpo -c Bonobo_GenericFactory-common.c  -fPIC -DP
IC -o .libs/Bonobo_GenericFactory-common.o
In file included from Bonobo_GenericFactory-common.c:9:
Bonobo_GenericFactory.h:108: error: expected specifier-qualifier-list before 'PO
A_Bonobo_Unknown__epv'
make[2]: *** [Bonobo_GenericFactory-common.lo] Error 1
make[2]: Leaving directory `/var/tmp/portage/gnome-base/libbonobo-2.18.0/work/li
bbonobo-2.18.0/bonobo-activation'
make[1]: *** [install] Error 2
make[1]: Leaving directory `/var/tmp/portage/gnome-base/libbonobo-2.18.0/work/li
bbonobo-2.18.0/bonobo-activation'
make: *** [install-recursive] Error 1


!!! ERROR: gnome-base/libbonobo-2.18.0 failed.
Call stack:
  ebuild.sh, line 1638:   Called dyn_install
  ebuild.sh, line 1083:   Called qa_call 'src_install'
  ebuild.sh, line 44:   Called src_install
  ebuild.sh, line 1328:   Called gnome2_src_install
  gnome2.eclass, line 85:   Called die

!!! install failed
!!! If you need support, post the topmost build error, and the call stack if rel
evant.
!!! A complete build log is located at '/var/tmp/portage/gnome-base/libbonobo-2.
18.0/temp/build.log'.


revdep-rebuild failed to emerge all packages
you have the following choices:

- if emerge failed during the build, fix the problems and re-run revdep-rebuild
    or
- use -X or --package-names as first argument (trys to rebuild package, not exac
t
  ebuild)
    or
- set ACCEPT_KEYWORDS="~<your platform>" and/or /etc/portage/package.unmask
  (and remove /root/.revdep-rebuild.5_order to be evaluated again)
    or
- modify the above emerge command and run it manually
    or
- compile or unmerge unsatisfied packages manually, remove temporary files and
  try again (you can edit package/ebuild list first)

To remove temporary files, please run:
rm /root/.revdep-rebuild*.?_*
localhost pm #


sinon le :
emerge --unmerge glib libpng jpeg freetype libxml fontconfig atk cairo pango gtk+ ; emerge glib libpng jpeg freetype libxml fontconfig atk cairo pango gtk+
est presque fini
on verra bien si ça change quelquechose ...

est-ce un bug de la gentoo?
n'y a-t-il pas un package précompilé que je puisse installé pour faire que mon système remarche?
si pour vous ça marche, commen avez-vous fait?

puisque c'est une erreur de compilation a la con (Bonobo_GenericFactory.h:108: error: expected specifier-qualifier-list before 'PO) sur une factory, est-ce que ça serrait pas gcc qui serrait dans un mode particulièrement chiant, et qu'en lui ballançant une option du genre "compile et tais toi", ça marcherais pas? c'est peut juste un free-style sur la syntaxe C++ utilisé dans le code qui ne lui a pas plu, non?

ou sinon, si gentoo ne peut pas marcher chez moi, puisque j'ai besoin de travailler, quelqu'un pourrait-il m'indiquer une autre distrib aussi stable que l'était la debian potato, aussi facile a installer qu'une mandrake, et qui ait tous les programmes stables disponibles sous nunux? (oh, et puis aussi, qui tourne sur ma machine).

Même ma première installation de linux en 1998 ne m'avais pas donné autant de fil à retordre que cette gentoo ...
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Wed Oct 03, 2007 3:52 pm    Post subject: Reply with quote

@pasmoi : je ne sais pas ou c'en est depuis mais si jamais nous on suis toujours l'affaire :
je viens de tomber sur çà complètement par hazard... c'est la seule chose qu'on ait pas essayé dans ton cas alors si ça se trouve... :roll:
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Goto page Previous  1, 2, 3
Page 3 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum